function tipoDeBaixaAReceber() {
	const ZeedhiAPIConstructor = require('zeedhi-functional-test-api');
	const z = new ZeedhiAPIConstructor(browser, protractor);
	const Helper = require('teknisa-helper');
	const geral = new Helper.geral();
	const self = this;
	const protractorHelper = require('protractor-helper');

	this.abrir = () => {
		z.component.menu.open();
		protractorHelper.waitForElementVisibility(element(by.css('.menu-overlay')));
		self.clickByPath(['Parametrização', 'Financeiro', 'Títulos a Receber', 'Tipo de Baixa a Receber']);
		geral.esperarLoading();
		geral.clickAplicarFiltro();
	};
	// Override funçao Zeedhi, pois não funciona para 'Tipo de Baixa a Receber'
	this.clickByPath = function (fullPath) {
		let prefix = '.zh-main-menu>.menu-group>.menu-group-items>';
		let child;
		for (const index in fullPath) {
			if (fullPath.hasOwnProperty(index)) {
				if (fullPath[index] == 'Títulos a Receber') {
					child = element.all(by.cssWithExactText(prefix + '.menu-item>.menu-link>.menu-title', fullPath[index])).get(1);
				} else {
					child = element(by.cssWithExactText(prefix + '.menu-item>.menu-link>.menu-title', fullPath[index]));
				}
				child = child.element(by.xpath('..')).element(by.xpath('..'));
				protractorHelper.click(child);
				prefix = '.sub-menu>';
				browser.sleep(500);
			}
		}
	};
	this.adicionar = (codigoTipoDeBaixaReceber, descricaoTipoDeBaixa, geraEstornoBancario, contabilizaLancamento,
		historicoIntegracao, tipoDaBaixa) => {
		geral.clickAndFllField('CDTPBAIXAREC', codigoTipoDeBaixaReceber);
		geral.clickAndFllField('NMTPBAIXAREC', descricaoTipoDeBaixa);
		geral.selectNative('IDESTOREXREC', geraEstornoBancario);
		geral.selectNative('IDCTBLBXREC', contabilizaLancamento);
		geral.searchAndClickGridField('DSHISTPADR', historicoIntegracao, 'DSHISTPADR');
		geral.selectNative('IDBAIXAUTILR', tipoDaBaixa);
	};
	this.editar = (descricaoTipoDeBaixa, geraEstornoBancario, historicoIntegracao) => {
		geral.fillField('NMTPBAIXAREC', descricaoTipoDeBaixa);
		geral.selectNative('IDESTOREXREC', geraEstornoBancario);
		geral.clickLimparAutoComplete('DSHISTPADR');
		geral.searchAndClickGridField('DSHISTPADR', historicoIntegracao, 'DSHISTPADR');
	};
}
module.exports = new tipoDeBaixaAReceber();
