const ZeedhiAPIConstructor = require('zeedhi-functional-test-api');
const z = new ZeedhiAPIConstructor(browser, protractor);
const Helper = require('teknisa-helper');
const geral = new Helper.geral();
const loginPage = new Helper.login();
const protractorHelper = require('protractor-helper');
const j = require('../../../../json/leitorJson.po');
const tipoDeBaixaAPagar = require('../../../../page-objects/parametrizacao/financeiro/titulosAPagar/tipoDeBaixaAPagar.po');
describe('Tipo de Baixa a Pagar', () => {
    beforeEach(() => {
        browser.get('http://erpteste.teknisa.com/login/');
        loginPage.login(j.getValor('login'), j.getValor('senha'));
        tipoDeBaixaAPagar.abrir();
    });

    afterEach(() => {
        geral.sair();
    });
    it('Acessar tela de Tipo de Baixa a Pagar', () => {
        expect(z.component.header.getTitle()).toBe('Tipo de Baixa a Pagar');
    });
    it('Realizar o preenchimento dos campos solicitados na página', () => {
        protractorHelper.waitForElementVisibility(element(by.id('grid-77550947329972909001045')));
        geral.clickAdicionar();
        tipoDeBaixaAPagar.adicionar(j.getValor('codigoTipoDeBaixaPagar'), j.getValor('descricaoTipoDeBaixaPagar'),
            j.getValor('operacao'), j.getValor('valorParaEmissaoCnab'), j.getValor('geraEstornoBancario'),
            j.getValor('tipoCreditoBancario'), j.getValor('contabilizaLancamento'),
            j.getValor('historicoIntegracao'));
        geral.clickSalvar();
        geral.filterIt(j.getValor('descricaoTipoDeBaixa'));
        expect(geral.gridHasText('77550947329972909001045', j.getValor('descricaoTipoDeBaixaPagar'), 1)).toBe(j.getValor('descricaoTipoDeBaixaPagar'));
    });
    it('Editar Registro', () => {
        protractorHelper.waitForElementVisibility(element(by.id('grid-77550947329972909001045')));
        geral.filterIt(j.getValor('descricaoTipoDeBaixaPagar'));
        geral.clickGrid('NMTPBAIXAPAG', j.getValor('descricaoTipoDeBaixaPagar'), '77550947329972909001045');
        geral.clickEditar();
        tipoDeBaixaAPagar.editar(j.getValor('descricaoTipoDeBaixaPagar1'), j.getValor('operacao1'),
        j.getValor('geraEstornoBancario1'), j.getValor('contabilizaLancamento1'), j.getValor('historicoIntegracao1'));
        geral.clickSalvar();
        geral.clickVoltar();
        geral.filterIt(j.getValor('descricaoTipoDeBaixaPagar1'));
        expect(geral.gridHasText('77550947329972909001045', j.getValor('descricaoTipoDeBaixaPagar1'), 1)).toBe(j.getValor('descricaoTipoDeBaixaPagar1'));
    });
    it('Excluir Registro', () => {
        protractorHelper.waitForElementVisibility(element(by.id('grid-77550947329972909001045')));
        geral.filterIt(j.getValor('descricaoTipoDeBaixaPagar1'));
        geral.clickGrid('NMTPBAIXAPAG', j.getValor('descricaoTipoDeBaixaPagar1'), '77550947329972909001045');
        geral.clickExcluir();
        geral.clickSim();
        geral.filterIt(j.getValor('NMTPBAIXAPAG'));
        expect(geral.gridHasText('77550947329972909001045', j.getValor('NMTPBAIXAPAG'), 1)).toBeUndefined();
    }
    );
});
