const ZeedhiAPIConstructor = require('zeedhi-functional-test-api');
const z = new ZeedhiAPIConstructor(browser, protractor);
const Helper = require('teknisa-helper');
const geral = new Helper.geral();
const loginPage = new Helper.login();
const protractorHelper = require('protractor-helper');
const j = require('../../../../json/leitorJson.po.js');
const tipoPagar = require('../../../../page-objects/parametrizacao/financeiro/titulosAPagar/tipoTituloPagar.po.js');
describe('Tela Tipo de Títulos a Pagar', () => {
    beforeEach(() => {
        browser.get('http://erpteste.teknisa.com/login/');
        loginPage.login(j.getValor('login'), j.getValor('senha'));
        tipoPagar.abrir();
    });

    afterEach(() => {
        geral.sair();
    });
    it('Acessar tela de Tipo de Títulos a Pagar', () => {
        expect(z.component.header.getTitle()).toBe('Tipo de Títulos a Pagar');
    });
    it('Realizar o preenchimento dos campos solicitados na página', () => {
        protractorHelper.waitForElementVisibility(element(by.id('grid-7062562611305865086600')));
        geral.clickAdicionar();
        tipoPagar.adicionar(j.getValor('codigoTituloPagar'), j.getValor('descricaoTituloPagar'), j.getValor('contacontabil'),
            j.getValor('classificacaoFinanceira'), j.getValor('descricaoDocumento'), j.getValor('tipoDeConta'), j.getValor('historicoPadrao'),
            j.getValor('historicoIntegracao'), j.getValor('utilizaLancamentoManual'), j.getValor('tratamentoVencimento'));
        geral.clickSalvar();
        geral.filterIt(j.getValor('descricaoTituloPagar'));
        expect(geral.gridHasText('7062562611305865086600', j.getValor('descricaoTituloPagar'), 1)).toBe(j.getValor('descricaoTituloPagar'));
    });
    it('Editar Registro', () => {
        protractorHelper.waitForElementVisibility(element(by.id('grid-7062562611305865086600')));
        geral.filterIt(j.getValor('descricaoTituloPagar'));
        geral.clickGrid('DSTPCTPAGAR', j.getValor('descricaoTituloPagar'), '7062562611305865086600');
        geral.clickEditar();
        tipoPagar.editar(j.getValor('descricaoTituloPagar1'), j.getValor('contacontabil1'),
            j.getValor('classificacaoFinanceira1'), j.getValor('descricaoDocumento1'), j.getValor('historicoIntegracao1'),
            'Não', j.getValor('tratamentoVencimento'), 'Não');
        geral.clickSalvar();
        geral.clickVoltar();
        geral.filterIt(j.getValor('descricaoTituloPagar1'));
        expect(geral.gridHasText('7062562611305865086600', j.getValor('descricaoTituloPagar1'), 1)).toBe(j.getValor('descricaoTituloPagar1'));
    });
    it('Excluir Registro', () => {
        protractorHelper.waitForElementVisibility(element(by.id('grid-7062562611305865086600')));
        geral.filterIt(j.getValor('descricaoTituloPagar1'));
        geral.clickGrid('DSTPCTPAGAR', j.getValor('descricaoTituloPagar1'), '7062562611305865086600');
        geral.clickExcluir();
        geral.clickSim();
        geral.filterIt(j.getValor('descricaoTituloPagar1'));
        expect(geral.gridHasText('7062562611305865086600', j.getValor('descricaoTituloPagar1'), 1)).toBeUndefined();
    });
});
